﻿
$ErrorActionPreference = 'Stop';


$packageName= 'emet'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.microsoft.com/download/9/5/5/95596037-A756-4116-AD09-081920241131/EMET%20Setup.msi'

# tests fail with the log unable to write to the disk unless we explicitly make the directory
$logroot = "$env:TEMP\chocolatey\$packageName\"
mkdir -Force $logroot           # force is to avoid already-exists error case

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  silentArgs    = "/qn /norestart /l*v `"$logroot\$($packageName).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'EMET*'
  checksum      = 'B1EA005D5CF4C4C8969B575F308F98CF'
  checksumType  = 'md5'
}

Install-ChocolateyPackage @packageArgs

















